<?php
	// LiteDoodle version 0.1 (C) 2008 V.Harishankar
	// Lightweight Comics/Images Blogging system

	// RSS feed file

	define ('IN_MAIN', 'inmain');
	include ('config.php');
	include ('functions.php');

	$arcomics = get_comics_list ();
	$comics = array_reverse ($arcomics);
		
	echo '<?xml version="1.0"?>';
?>
<rss version="2.0">
	<channel>
		<title><?php echo SITE_TITLE ?></title>
		<link><?php echo SITE_URL ?></link>
		<description><?php echo SITE_DESC ?></description>
		<language>en-us</language>
		<generator>LiteDoodle 1.x</generator>
		
		<?php
		$i = 0;
		foreach ($comics as $comic)
		{ ?>
			<item>
				<title><?php echo $comic['title'] ?></title>
				<link><?php echo SITE_URL . 'index.php?id=' . $comic['name'] ?></link>
				<description><![CDATA[ <?php echo get_comic_description ($comic['name']) ?> ]]></description>
				<pubDate><?php echo date (DATE_FORMAT, $comic['mtime']) ?></pubDate>
				<guid><?php echo SITE_URL . 'index.php?id=' . $comic['name'] ?></guid>
			</item>

		<?php
			$i ++;
			if ($i >= NUM_FEED)
				break;
		} ?>
	</channel>
</rss>
